package com.example.android_20_1_ex1;

import android.app.*;
import android.content.*;
import android.os.Bundle;
import android.util.*;
import android.view.*;
import android.view.View.OnClickListener;
import android.widget.*;

public class MainActivity extends Activity {

	final static String TAG = "MainActivity";
	final static int NOTI_ID = 50;
	
	Button btnNoti;
	NotificationManager notiManager;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		btnNoti = (Button) findViewById(R.id.bt_noti);

		btnNoti.setOnClickListener(listener);
		
		notiManager = (NotificationManager) getSystemService(NOTIFICATION_SERVICE);

	}

	private void notiStart() {
		Intent intent = new Intent(MainActivity.this, SecondActivity.class);
		intent.putExtra("str", "value");
		PendingIntent pendingIntent = PendingIntent.getActivity(MainActivity.this, 0, intent, 0);
		
		Notification notification = new Notification.Builder(MainActivity.this)
		.setSmallIcon(R.drawable.g02)
		.setTicker("Noti Message")
		.setContentTitle("Noti Title")
		.setContentText("Noti Content")
		.setWhen(System.currentTimeMillis())
		.setContentIntent(pendingIntent)
		.build();
		
		notiManager.notify(NOTI_ID, notification);
	}
	
	OnClickListener listener = new OnClickListener() {

		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			Log.i(TAG, "onClick v.getId() : " + v.getId());
			switch (v.getId()) {
			case R.id.bt_noti:
				notiStart();
				break;
			}
		}
	};

	
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
}
