package com.example.android_20_2_ex1;

import java.text.*;
import java.util.*;
import java.util.zip.*;

import android.app.*;
import android.content.*;
import android.os.Bundle;
import android.util.*;
import android.view.*;
import android.view.View.OnClickListener;
import android.widget.*;

public class MainActivity extends Activity {

	final static String TAG = "MainActivity";
	
	Button btnOneAlarm;
	Button btnCycleAlarm;
	Button btnStopAlarm;

	AlarmManager alarmManger;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		btnOneAlarm = (Button) findViewById(R.id.bt_start_one_alarm);
		btnCycleAlarm = (Button) findViewById(R.id.bt_start_cycle_alarm);
		btnStopAlarm = (Button) findViewById(R.id.bt_stop_cycle_alarm);

		btnOneAlarm.setOnClickListener(listener);
		btnCycleAlarm.setOnClickListener(listener);
		btnStopAlarm.setOnClickListener(listener);
		
		alarmManger = (AlarmManager) getSystemService(ALARM_SERVICE);

	}

	private void oneAlarm() {
		Intent intent = new Intent(MainActivity.this, SecondActivity.class);
		intent.putExtra("str", "value");
		PendingIntent pendingIntent = PendingIntent.getActivity(MainActivity.this, 0, intent, 0);
		
		alarmManger.set(AlarmManager.RTC, System.currentTimeMillis() + 3000, pendingIntent);
	}
	
	private void cycleAlam() {
		Intent intent = new Intent(MainActivity.this, MainActivity.class);
		intent.putExtra("str", "value");
		PendingIntent pendingIntent = PendingIntent.getActivity(MainActivity.this, 0, intent, 0);
		
		alarmManger.setRepeating(AlarmManager.RTC, System.currentTimeMillis() + 3000, 5000, pendingIntent);
	}
	
	OnClickListener listener = new OnClickListener() {

		@Override
		public void onClick(View v) {
			// TODO Auto-generated method stub
			
			Log.i(TAG, "onClick v.getId() : " + v.getId());
			switch (v.getId()) {
			case R.id.bt_start_one_alarm:
				oneAlarm();
				break;

			case R.id.bt_start_cycle_alarm:
				cycleAlam();
				break;

			case R.id.bt_stop_cycle_alarm:
				Intent intent = new Intent(MainActivity.this, MainActivity.class);
				PendingIntent pendingIntent = PendingIntent.getActivity(MainActivity.this, 0, intent, 0);
				alarmManger.cancel(pendingIntent);
				break;

			default:
				break;
			}
		}
	};

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}
}
